Package ch.qos.logback.classic.selector.servlet

## Class LoggerContextFilter

- java.lang.Object
- - ch.qos.logback.classic.selector.servlet.LoggerContextFilter

All Implemented Interfaces:
  `javax.servlet.Filter`

    public class LoggerContextFilter
    extends java.lang.Object
    implements javax.servlet.Filter

A servlet filter that puts the environment dependent LoggerContext in a ThreadLocal variable, removing it after the request is processed.

To use it, add the following lines to a web.xml file <filter> LoggerContextFilter ch.qos.logback.classic.selector.servlet.LoggerContextFilter </filter> LoggerContextFilter /*

Author:
  Sébastien Pennec

### Constructor Summary

Constructors
`LoggerContextFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `destroy()`
`void` `doFilter​(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` `init​(javax.servlet.FilterConfig arg0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggerContextFilter

    public LoggerContextFilter()

### Method Detail

#### destroy

    public void destroy()

Specified by:
  `destroy` in interface `javax.servlet.Filter`

#### doFilter

    public void doFilter​(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

Specified by:
  `doFilter` in interface `javax.servlet.Filter`
Throws:
  `java.io.IOException`
  `javax.servlet.ServletException`

#### init

    public void init​(javax.servlet.FilterConfig arg0)
              throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Filter`
Throws:
  `javax.servlet.ServletException`